#ifndef __EZUSB_H__
#define __EZUSB_H__

/* EZ-USB Device Driver Handling */
#include "c:\cypress\usb\drivers\ezusbdrv\ezusbsys.h"

#define	CUSB_DWLSIZE 0x1000

/* EZ-USB Initialize and open with CustomFirmware */
int ezusb_init(DWORD n,BYTE *fw,char *str1,char *str2);

/* EZ-USB Close         */
void ezusb_close(void);

/*  Bulk Read (overlap) */
void ezusb_bulk_read(DWORD pipe,void *pdata,DWORD size);

/* get Bulk Read left size , and syncronize read finish */
DWORD ezusb_bulk_read_left(int is_wait_finish);

/* Bulk Write (non-overlap mode) */
int ezusb_bulk_write(DWORD pipe,void *pdata,DWORD size);

#endif
